{% extends "app/base.html" %}

{% block content %}

{% include 'app/messages.html' %}

{% if favorites_activities %}
  <hr>
<h1>Favorites</h1>
  {% for favorite in favorites_activities %}
  <a href='{% url "repeat_activity" id=favorite.id path_page=request.path is_record="False" %}'>{{favorite.name}}</a>
  {% endfor %}
  <hr>
{% endif %}

<table>
  <thead>
    <tr>
      <th>Name</th>
      <th>Categories</th>
      <th>Start time</th>
      <th>End time</th>
      <th>Notes</th>
      <th>Modify</th>
      <th>Delete</th>
      <th>Stop</th>
    </tr>
  </thead>

  <tbody>
    {% if activities_ON %}
    {% for activity in activities_ON %}

    <tr>
      <th> {{ activity.name }} </th>
      <th> {{ activity.tag }} </th>
      <th> {{ activity.start_date }} </th>
      <th> {{ activity.end_date }} </th>
      <th> <a href='{% url "stop_activity" id=activity.id path_page=request.path %}'>Stop</a> </th>
      <th> <a href='{% url "activity_register" id=activity.id %}'>Modify</a> </th>
      <th> <a href='{% url "repeat_activity" id=activity.id path_page=request.path is_record=True %}'>Repeat</a> </th>
      <th> <a href='{% url "set_favorite_activity" id=activity.id path_page=request.path %}'>Set to favorite</a> </th>
      <th> <a href='{% url "delete_activity" id=activity.id path_page=request.path %}'>Delete</a> </th>
      </th>

      {% endfor %}
      {% endif %}

  </tbody>
</table>

<hr>

{% if activity_form %}
  <form action="{% url 'activity_register' %}" method="post" class="activity_form">
      {% csrf_token %}

      {% if activity_form.pk %}
      <div class="{% if activity_form.name.errors %}has-warning has-feedback{% endif %} field hidden">
        <label for="{{ activity_form.name.id_for_label}}" class="hidden"></label>
        {{ activity_form.pk }}
      </div>
      {% endif %}

      <div class="{% if activity_form.name.errors %}has-warning has-feedback{% endif %} field">
        <label for="{{ activity_form.name.id_for_label }}">Activity :</label>
        {{ activity_form.name }}
      </div>

      <div class="{% if activity_form.tag.errors %}has-warning has-feedback{% endif %} field">
        <label for="{{ activity_form.tag.id_for_label }}">Category :</label>
        {{ activity_form.tag }}
      </div>

      <div class="{% if activity_form.start_date.errors %}has-warning has-feedback{% endif %} field">
        <label for="{{ activity_form.start_date.id_for_label }}">Start date :</label>
        {{ activity_form.start_date }}
      </div>

      <div class="{% if activity_form.end_date.errors %}has-warning has-feedback{% endif %} field">
        <label for="{{ activity_form.end_date.id_for_label }}">End date :</label>
        {{ activity_form.end_date }}
      </div>

      <div class="{% if activity_form.notes.errors %}has-warning has-feedback{% endif %} field">
        <label for="{{ activity_form.notes.id_for_label }}">Notes :</label>
        {{ activity_form.notes }}
      </div>
      {{ form }}
    <button type="submit">Submit</button>
  </form>
{% endif %}

{% endblock %}
